Bug 95485 - Additional 8 Arab locales
Summary: Additional 8 Arab locales
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-01 04:42 UTC by Ghasan
Modified: 2016-10-25 19:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
A collection of 8 locales of Arab countries. (5.96 KB, application/x-zip-compressed)
2015-11-01 04:42 UTC, Ghasan
Details
A fixed version of the collection. The first one contained an XML syntax error. (5.94 KB, application/zip)
2015-11-09 16:46 UTC, Ghasan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ghasan 2015-11-01 04:42:08 UTC
Created attachment 120148 [details]
A collection of 8 locales of Arab countries.

Hi,

LibreOffice misses some locale settings for different Arab countries, which is most important when it comes to currency settings.

I have compiled 8 additional locales in xml files following this commit* and I have attached them along this ticket.

Thank you.

* https://bugs.documentfoundation.org/show_bug.cgi?id=71140
Comment 1 Eike Rathke 2015-11-09 15:41:21 UTC
I'll check.
Comment 2 Ghasan 2015-11-09 16:45:28 UTC
There was an XML syntax error in the uploaded files. I fixed them and uploaded a fixed version.
Comment 3 Ghasan 2015-11-09 16:46:48 UTC
Created attachment 120423 [details]
A fixed version of the collection. The first one contained an XML syntax error.
Comment 4 Commit Notification 2015-11-09 17:13:46 UTC
Ghasan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b9495b4e8c27c3e9a6a46e6fec12d1150362dad

add [ar-{BH,IQ,JO,LY,MA,QA,SY,YE}] locale data, tdf#95485

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-11-09 17:13:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9158ad31905be0658aa08dab8bd5e6407065c0de

remove erroneous extra </DefaultName> closing tag, tdf#95485 follow-up

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-11-09 17:14:06 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ef5b31b563f2c2d40d583a59001b78ede57526e

strip leading zero from LangID in currency format, tdf#95485 follow-up

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-11-09 17:14:18 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6938d37f0eb00420e491f6312a75894ef40dcbf4

correct order of currency symbol and LangID in replaceTo, tdf#95485 follow-up

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-11-09 17:14:30 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e997e2c1b5aaa9ad525e15e06fc8f0e8ed8fc25

add U+200F RIGHT-TO-LEFT MARK to currency symbol, tdf#95485 follow-up

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-11-09 17:14:41 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31801a402e048b4861cb373687f28ea15ca60ebb

add [ar-{BH,IQ,JO,LY,MA,QA,SY,YE}] to locale data libs, tdf#95485

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.